# Visualization Library A lightweight C++ OpenGL middleware for 2D/3D graphics | [Home] [Tutorials] [All Classes] [Grouped Classes]

# vl::LoadWriterJPG Class Reference

The LoadWriterJPG class is a ResourceLoadWriter capable of reading JPG files. More...

`#include <vlJPG.hpp>`

Inheritance diagram for vl::LoadWriterJPG:

List of all members.

## Public Member Functions
virtual const char * | className ()
| Returns the name of the class.
| LoadWriterJPG ()
ref< ResourceDatabase > | loadResource (const String &path) const
ref< ResourceDatabase > | loadResource (VirtualFile *file) const
bool | writeResource (const String &path, ResourceDatabase *resource) const
bool | writeResource (VirtualFile *file, ResourceDatabase *resource) const
int | quality () const
void | setQuality (int quality)
| Sets the quality level used when saving a file. Must be between 0 and 100.
## Protected Attributes
int | mQuality

## Detailed Description

The LoadWriterJPG class is a ResourceLoadWriter capable of reading JPG files.

## Constructor & Destructor Documentation

vl::LoadWriterJPG::LoadWriterJPG | ( |  | ) | `[inline]`

## Member Function Documentation

virtual const char* vl::LoadWriterJPG::className | ( |  | ) | `[inline, virtual]`

Returns the name of the class.

Reimplemented from vl::ResourceLoadWriter.

ref<ResourceDatabase> vl::LoadWriterJPG::loadResource | ( | const String & | path | ) | const`[inline, virtual]`

Implements vl::ResourceLoadWriter.

ref<ResourceDatabase> vl::LoadWriterJPG::loadResource | ( | VirtualFile * | file | ) | const`[inline, virtual]`

Implements vl::ResourceLoadWriter.

bool vl::LoadWriterJPG::writeResource | ( | const String & | path,
|  | ResourceDatabase * | resource |
| ) |  |  | const`[inline, virtual]`

Implements vl::ResourceLoadWriter.

bool vl::LoadWriterJPG::writeResource | ( | VirtualFile * | file,
|  | ResourceDatabase * | resource |
| ) |  |  | const`[inline, virtual]`

Implements vl::ResourceLoadWriter.

int vl::LoadWriterJPG::quality | ( |  | ) | const`[inline]`

void vl::LoadWriterJPG::setQuality | ( | int | quality | ) | `[inline]`

Sets the quality level used when saving a file. Must be between 0 and 100.

## Member Data Documentation

int vl::LoadWriterJPG::mQuality`[protected]`

The documentation for this class was generated from the following file:

- E:/VisualizationLibrary/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vl/vlJPG.hpp

Visualization Library v2009.08 Reference Documentation
Copyright 2005-2009 Michele Bosi. All rights reserved.
Updated on Sun Nov 29 11:11:56 2009.
Permission is granted to use this page to write and publish articles regarding Visualization Library.